.TH PSTOEDIT 1
.SH Name pstoedit \- a converter from Postscript(TM) to editable Objects.
.SH Syntax
.B pstoedit
[
.B -dt
] [
.B -dis
] [
] [
.B -m number
] [
.B -f format
] [
.I files
]

.SH Description
pstoedit allows to convert Postscript(TM) files to a simple vector graphic
format, that can be edited. Currently tgif (-f tgif), xfig (-f fig), Framemaker(TM) MIF-format 
(-f mif) and flat PostScript (-f ps) are supported.
Ask archie on where to find tgif or xfig.
Pstoedit works by redefining the two basic painting operators of
(TM)Postscript, stroke and show. Others like image are not supported.
After redefining these operators, the Postscript file that needs to
be converted is processed by GhostScript (gs). So you need to have
Ghostscript in order to use this program.
pstoedit uses a postprocessor to actually build the input file for the editor.
This is a small lex-program (makeedit). To build it, just type make.
Edit the pstoedit script and change LIB according to your local
environment.

The output of gs that is piped to makeedit is a flat PostScript which only
contains simple operations like  moveto lineto, show, .... 
You can look at this file using the -f debug option.

To implement a new backend you can start from drvexample.c.
See also drvbase.h for explanation of the methods that need to implemented for
a new backend.

.PP
.SH Options
.TP 0.6i
.B -dt
Text is drawn as polygons. This might produce a large output file.
You might want to use this options for example if the PostScript file 
contains rotated text.
.TP 0.6i
.B -dis
Open a display during processing by GhostScript. Some files only work correctly
this way.
.TP 0.6i
.B -m factor
magnify by a factor (for tgif only).
.TP 0.6i
.B -f format
target output format. Currently tgif, mif and ps are recognized.
.TP 0.6i
.I files
input files. If no file is given as argument, pstoedit works as filter reading
from standard input and writing to standard output.
.SH Author
Wolfgang Glunz, Wolfgang.Glunz@zfe.siemens.de
.SH Acknowledgements
.TP 0.2i
.B *
Klaus Steinberger <Klaus.Steinberger@physik.uni-muenchen.de> who wrote this man
page.
.TP 0.2i
.B *
David B. Rosen <rosen@murmur> for some ideas and some PostScript code from his ps2aplot program.
.TP 0.2i
.B *
Ian MacPhedran <Ian_MacPhedran@engr.USask.CA> for the xfig backend.
